process_info Struct Reference

Describes a completed process. More...

`#include <process.h>`

## Data Fields

pid_t | pid
| The process ID of a complete process.
int | status
| The exit status of the process.
struct rusage | rusage
| The resource usage of the process.

## Detailed Description

Describes a completed process.

Each element of this structure is the same as returned by Unix wait4().

See also
  process_wait

## Field Documentation

## pid

pid_t process_info::pid

The process ID of a complete process.

## status

int process_info::status

The exit status of the process.

## rusage

struct rusage process_info::rusage

The resource usage of the process.

The documentation for this struct was generated from the following file:

- process.h